Bug 173156 - kernel dm: Notify userspace when a device is renamed.
kernel dm: Notify userspace when a device is renamed.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alasdair Kergon
Brian Brock
: Regression
Depends On:
Blocks: 168429 175195
  Show dependency treegraph
 
Reported: 2005-11-14 13:25 EST by Alasdair Kergon
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2006-0132
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-07 15:43:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alasdair Kergon 2005-11-14 13:25:31 EST
From: "goggin, edward" <egoggin@emc.com>

Changed dm_hash_rename() to wake up any dm event waiters for
a mapped device after changing the name of the mapped device.

Userspace multipath tools want to know when this happens.

dm-ioctl-event-on-rename.patch
Comment 6 Red Hat Bugzilla 2006-03-07 15:43:13 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0132.html

Note You need to log in before you can comment on or make changes to this bug.